<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('admins', function(Blueprint $table) {
			$table->foreign('access_id')->references('id')->on('access_types')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('locations', function(Blueprint $table) {
			$table->foreign('created_admin_id')->references('id')->on('admins')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('classes', function(Blueprint $table) {
			$table->foreign('teacher_id')->references('id')->on('admins')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('classes', function(Blueprint $table) {
			$table->foreign('location_id')->references('id')->on('locations')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('classes', function(Blueprint $table) {
			$table->foreign('created_admin_id')->references('id')->on('admins')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('sessions', function(Blueprint $table) {
			$table->foreign('class_id')->references('id')->on('classes')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('students', function(Blueprint $table) {
			$table->foreign('section_id')->references('id')->on('sections')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('students', function(Blueprint $table) {
			$table->foreign('gender_id')->references('id')->on('genders')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('class_students', function(Blueprint $table) {
			$table->foreign('class_id')->references('id')->on('classes')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('class_students', function(Blueprint $table) {
			$table->foreign('student_id')->references('id')->on('students')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('session_students', function(Blueprint $table) {
			$table->foreign('session_id')->references('id')->on('sections')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('session_students', function(Blueprint $table) {
			$table->foreign('student_id')->references('id')->on('students')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('logins', function(Blueprint $table) {
			$table->foreign('admin_id')->references('id')->on('admins')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
	}

	public function down()
	{
		Schema::table('admins', function(Blueprint $table) {
			$table->dropForeign('admins_access_id_foreign');
		});
		Schema::table('locations', function(Blueprint $table) {
			$table->dropForeign('locations_created_admin_id_foreign');
		});
		Schema::table('classes', function(Blueprint $table) {
			$table->dropForeign('classes_teacher_id_foreign');
		});
		Schema::table('classes', function(Blueprint $table) {
			$table->dropForeign('classes_location_id_foreign');
		});
		Schema::table('classes', function(Blueprint $table) {
			$table->dropForeign('classes_created_admin_id_foreign');
		});
		Schema::table('sessions', function(Blueprint $table) {
			$table->dropForeign('sessions_class_id_foreign');
		});
		Schema::table('students', function(Blueprint $table) {
			$table->dropForeign('students_section_id_foreign');
		});
		Schema::table('students', function(Blueprint $table) {
			$table->dropForeign('students_gender_id_foreign');
		});
		Schema::table('class_students', function(Blueprint $table) {
			$table->dropForeign('class_students_class_id_foreign');
		});
		Schema::table('class_students', function(Blueprint $table) {
			$table->dropForeign('class_students_student_id_foreign');
		});
		Schema::table('session_students', function(Blueprint $table) {
			$table->dropForeign('session_students_session_id_foreign');
		});
		Schema::table('session_students', function(Blueprint $table) {
			$table->dropForeign('session_students_student_id_foreign');
		});
		Schema::table('logins', function(Blueprint $table) {
			$table->dropForeign('logins_admin_id_foreign');
		});
	}
}